#ifndef NET_H
#define NET_H

#include <string>
#include <vector>

size_t write_data_to_file(void *buffer, size_t size, size_t nmemb, void *userp);
size_t writeCallback(void* contents, size_t size, size_t nmemb, void* userp);

class Net
{
public:
    Net();
    void get_file(std::string url, std::string filename);
    std::string fetch_check_data_from_ofdru(std::string fn, std::string fd, std::string fi, std::string datetime, int operation, int total, std::string captcha);
    void get_captcha_from_ofdru();
    std::string get_data(std::string url);
};

#endif // NET_H
