#ifndef OUTPUTCOLUMN_H
#define OUTPUTCOLUMN_H

#include "output/output_options.h"
#include <QLineEdit>
#include <QStandardItem>

class OutputColumn
{
    QString text;
    ColumnType type;
public:
    OutputColumn();
    OutputColumn(QString text, ColumnType type);

    void set_column_type(ColumnType type);
    ColumnType get_column_type();

    void set_text(const QString &text);
    QString get_text();
};

#endif // OUTPUTCOLUMN_H
