#include "outputcolumn.h"

#include <QHBoxLayout>

OutputColumn::OutputColumn() { }

OutputColumn::OutputColumn(QString text, ColumnType type)
    :  text(text), type(type) { }

void OutputColumn::set_column_type(ColumnType type) { this->type = type; }
ColumnType OutputColumn::get_column_type() { return type; }

void OutputColumn::set_text(const QString &text) { this->text = text; }
QString OutputColumn::get_text() { return text; }


Q_DECLARE_METATYPE(OutputColumn)
